//
// Use this to make the call
//
VOID MakeTheCall(VOID)
{

DWORD MyBuff[2];

TouchDriverIOCTL(3637,MyBuff,0);
}



//
//      OpenDriver - opens the driver, then closes it.  This forces the driver
//                              to read the calibration parameters
//
DWORD TouchDriverIOCTL(DWORD CtlCode, DWORD* Buffer, ushort BuffSize)
{
	UCHAR bResult = FALSE;
	LPVOID inBuffer=NULL;
	DWORD nBytesRead=NULL;
	DWORD ByteRet = 0;
	Buffer[0] = Buffer[1] = 0;
	long value[4];

	
	
	
	//
	//	Talk to all TSHARC drivers
	//

	hObject = CreateFile(L"TSU1:", GENERIC_READ | GENERIC_WRITE, 0, NULL,
			OPEN_EXISTING, 0, NULL);
	if (hObject == INVALID_HANDLE_VALUE)
	{
		hObject = CreateFile(L"HRM1:", GENERIC_READ | GENERIC_WRITE, 0, NULL,
				OPEN_EXISTING, 0, NULL);
	}
	
		if (hObject != INVALID_HANDLE_VALUE) // we have successufully opened
		{
			DEBUGMSG(1, (TEXT("HCECAL: Open Handle(%d)\n"),GetLastError()));
			ErrorFlag|=4;
			if (DeviceIoControl(hObject,CtlCode,Buffer,BuffSize,Buffer,BuffSize,&ByteRet,NULL) == 0)
			{
				DEBUGMSG(1, (TEXT("HCECAL: DeviceIoControl Failed(0x%X)\n"),GetLastError()));
				
			}
			DEBUGMSG(1, (TEXT("HCECAL: %d,%d\n"),Buffer[0],Buffer[1]));

			
			CloseHandle(hObject);
			
		}
		else
		{
			DEBUGMSG(1, (TEXT("HCECAL: Unable to Open Handle(0x%X)\n"),GetLastError()));
			
		}
		if (Buffer[0] == 0 && Buffer[1] == 0)
		{
			value[0]=(long)CtlCode;
			if (KeybdGetDeviceInfo((INT) 2, value)==TRUE)
			{

				Buffer[0]=value[0];
				Buffer[1]=value[1];
			}
			else
			{
				


				unsigned short text[255];
				_snwprintf(text,255,L"%x %d",GetLastError(),value[0]);
				MessageBox(NULL,text,TEXT("CalMessage"),MB_OK | MB_TOPMOST);


			}
		}
		
				

	return ByteRet;
}